## ros-noetic-dynamixel-workbench 2.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(dynamixel_workbench)
find_package(catkin REQUIRED)
catkin_metapackage()
