=== debian/changelog ===
ros-noetic-dynamixel-workbench (2.2.1-1focal) focal; urgency=high

  * Added 2XC430-W250, XL330 series
  * Contributors: Will Son, t-kitajima, Hye-jong KIM

 -- Will Son <willson@robotis.com>  Mon, 28 Jun 2021 15:00:00 -0000

ros-noetic-dynamixel-workbench (2.2.0-1focal) focal; urgency=high

  * Added XW540
  * Bugs fixed, typos revised
  * Contributors: Ryan Shim, Yutaka Kondo, T-Kitajima, Nico Zevallos, Madhur Deep Jain, Will Son, YongHo Na

 -- Will Son <willson@robotis.com>  Thu, 24 Sep 2020 15:00:00 -0000

ros-noetic-dynamixel-workbench (2.1.0-1focal) focal; urgency=high

  * Removed single_manager and single_manager_gui
  * Added XH540, PRO (A Firmware), RH_P12_RN, RH_P12_RN (A Firmware)
  * Contributors: Ryan Shim

 -- Will Son <willson@robotis.com>  Mon, 03 Jun 2019 15:00:00 -0000

ros-noetic-dynamixel-workbench (2.0.0-1focal) focal; urgency=high

  * added YAML configuration for Dynamixel
  * supported position control mode, current based position control mode through Joint Trajectory Message
  * supported velocity control mode through Twist Message
  * reduced memory usage(Contribute by @KurtE)
  * updated API for sync, bulk instruction
  * updated control period (default is 10ms)
  * supported Linux, macos
  * supported Pro+
  * supported DynamixelSDK(after v.3.6.2)
  * supported OpenManipulator
  * Contributors: Darby Lim, KurtE, Pyo

 -- Will Son <willson@robotis.com>  Thu, 03 Jan 2019 15:00:00 -0000

ros-noetic-dynamixel-workbench (1.0.0-1focal) focal; urgency=high

  * upgraded read time #162
  * added Dynamixel PRO information #162
  * added proext function and amended readRegister
  * added mutex for log thread
  * added timer for data log
  * added PROext header
  * added readRegister function
  * updated dxl ext function
  * update dxl pro info
  * update proInfo func
  * modified max radian position
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Thu, 19 Jul 2018 15:00:00 -0000

ros-noetic-dynamixel-workbench (0.3.1-1focal) focal; urgency=high

  * updated Qt5 and delete Qt4 config
  * deleted rqt_plugin header
  * merged pull request #154 <https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/154> #153 <https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/153>
  * Contributors: Darby Lim

 -- Will Son <willson@robotis.com>  Sun, 03 Jun 2018 15:00:00 -0000

ros-noetic-dynamixel-workbench (0.3.0-1focal) focal; urgency=high

  * added cmd_vel topics, joint_state topics, msgs
  * added getProtocolVersion()
  * changed max_dxl_deries_num
  * changed compile options for qt5
  * deleted unused code
  * merged pull request #152 <https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/152> #151 <https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/151> #149 <https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/149> #132 <https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/132>
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Thu, 31 May 2018 15:00:00 -0000

ros-noetic-dynamixel-workbench (0.2.4-1focal) focal; urgency=high

  * changed package.xml to format v2
  * Contributors: Pyo

 -- Will Son <willson@robotis.com>  Mon, 19 Mar 2018 15:00:00 -0000

ros-noetic-dynamixel-workbench (0.2.3-1focal) focal; urgency=high

  * modified dialog rotate direction
  * added dynamixel_sdk lib
  * added debug code
  * deleted anotation
  * Contributors: Darby Lim

 -- Will Son <willson@robotis.com>  Thu, 08 Mar 2018 15:00:00 -0000

ros-noetic-dynamixel-workbench (0.2.2-1focal) focal; urgency=high

  * modified the CI configurations (#117 <https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/117>)
  * modified the CMakeLists.txt to fix wrong path (ros/rosdistro#17019 <https://github.com/ros/rosdistro/pull/17019>)
  * Contributors: Pyo

 -- Will Son <willson@robotis.com>  Tue, 27 Feb 2018 15:00:00 -0000

ros-noetic-dynamixel-workbench (0.2.1-1focal) focal; urgency=high

  * modified the CMakeLists.txt to fix wrong path
  * Contributors: Pyo

 -- Will Son <willson@robotis.com>  Wed, 21 Feb 2018 15:00:00 -0000

ros-noetic-dynamixel-workbench (0.2.0-1focal) focal; urgency=high

  * added conver function to PRO user
  * added dxl_info_cnt init function
  * added compatibility for different protocol
  * added static
  * added convert function
  * added baudrate sorting
  * added all dynamixel series
  * added RX-10
  * added millis
  * added init dynamixel example
  * added setting for packet handler
  * added monitor example
  * added item
  * added dynamixel_item
  * added toolbox_ros and modified arduino path
  * added linux build and example
  * added begin and getprotocolversion function
  * modified linux version
  * modified description
  * modified model_info
  * modified variable range
  * modified setTools function
  * modified sync function
  * modified merge conflict
  * modified variable name
  * modified reset function
  * modified function name and return variable name
  * modified name of return var
  * modified item name
  * modified reset function
  * modified item name (added underscore)
  * modified function name
  * modified function for ROS depend
  * modified function to make space
  * modified begin function to reduce storage space
  * modified MX (2.0) protocol setting bug
  * modified example
  * modified sync and bulk comm
  * modified lib
  * modified begin
  * modified variable
  * modified begin function
  * modified joint and wheel mode
  * modified variable name
  * modified begin function
  * modified set function
  * modified dynamixel item
  * modified scan function
  * modified folder tree
  * modified dynamixel_tool
  * modified toolbox structure
  * modified .device and modified funtion for opencm and opencr
  * modified ifdef
  * modified get file
  * modified arduino version
  * modified get device in arduino
  * fixed reset bug
  * deleted dead code
  * deleted empty space
  * deleted xl define
  * deleted debug code and update ping func
  * test OpenCM

